#!/bin/sh

set -e

cat << EOF
# Deny access to root.
deny all;

##worker
include /etc/nginx/conf.d/generic_worker.conf;

   location ~* /_synapse/metrics {
        proxy_pass http://localhost:9000;
        include /etc/nginx/conf.d/synapse-proxy.conf;
        }

    ##
    location ~* ^(/_matrix|/_synapse) {
		proxy_pass http://localhost:8008;
		include /etc/nginx/conf.d/synapse-proxy.conf;
    }
     location / {
		proxy_pass http://localhost:8008;
		include /etc/nginx/conf.d/synapse-proxy.conf;
     }
EOF
